summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 16:12:09 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 16:12:09 +0000
commitce45d0f4d07b11c9907025d92a702a5327e3c42c (patch)
treeebc16aa86b9fbf0ccf9ebcc2a5cab649c49b007e /testsuite
parentAdding upstream version 0.5. (diff)
downloadzutils-ce45d0f4d07b11c9907025d92a702a5327e3c42c.tar.xz
zutils-ce45d0f4d07b11c9907025d92a702a5327e3c42c.zip
Adding upstream version 0.6.upstream/0.6
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh13
1 files changed, 4 insertions, 9 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index a8843f3..41e44b7 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -55,13 +55,10 @@ echo -n .
"${ZCAT}" < in.gz > copy || fail=1
cmp in copy || fail=1
echo -n .
-"${ZCAT}" --gzip < in.gz > copy || fail=1
+"${ZCAT}" < in.bz2 > copy || fail=1
cmp in copy || fail=1
echo -n .
-"${ZCAT}" --bzip2 < in.bz2 > copy || fail=1
-cmp in copy || fail=1
-echo -n .
-"${ZCAT}" --lzip < in.lz > copy || fail=1
+"${ZCAT}" < in.lz > copy || fail=1
cmp in copy || fail=1
echo -n .
"${ZCAT}" in > copy || fail=1
@@ -122,11 +119,9 @@ done
echo -n .
"${ZGREP}" License < in.gz 2>&1 > /dev/null || fail=1
echo -n .
-"${ZGREP}" --gzip License < in.gz 2>&1 > /dev/null || fail=1
-echo -n .
-"${ZGREP}" --bzip2 License < in.bz2 2>&1 > /dev/null || fail=1
+"${ZGREP}" License < in.bz2 2>&1 > /dev/null || fail=1
echo -n .
-"${ZGREP}" --lzip License < in.lz 2>&1 > /dev/null || fail=1
+"${ZGREP}" License < in.lz 2>&1 > /dev/null || fail=1
echo -n .
"${ZGREP}" License in 2>&1 > /dev/null || fail=1
echo -n .